%global dist_version 0.16.2

%global provider github
%global provider_tld com
%global project docker
%global repo machine
%global import_path %{provider}.%{provider_tld}/%{project}/%{repo}

#debuginfo not supported with Go
%global debug_package %{nil}
%global gopath  %{_libdir}/golang
%define gosrc %{gopath}/src/pkg/%{import_path}

Name:           %project-%repo
Version:        %{dist_version}
Release:        %mkrel 3
Summary:        Machine management for a container-centric world
License:        ASL 2.0
Group:			System/Configuration

URL:            http://docs.docker.com/machine
ExclusiveArch:  x86_64 %{ix86}
Source0:        https://%{import_path}/archive/v%{dist_version}.tar.gz

BuildRequires:  gcc
BuildRequires:  glibc-static-devel

# ensure build uses golang 1.4 or above
BuildRequires:  golang >= 1.4

%description
Machine lets you create Docker hosts on your computer, on cloud 
providers, and inside your own data center. 

It creates servers, installs Docker on them, then configures the 
Docker client to talk to them.

%prep
%setup -q -n %repo-%{dist_version}
(cd vendor ; ln -sf . src)
mkdir -p vendor/github.com/docker/machine/
cd vendor/github.com/docker/machine/
for i in doc.go cmd commands drivers experimental its libmachine version; do
	ln -s ../../../../$i .
done

%build
export GOPATH=$(pwd)/vendor:$(pwd):%{gopath}
make build

%install
# install binary
install -d %{buildroot}%{_bindir}
install -p -m 755 bin/%project-%{repo} %{buildroot}%{_bindir}/

# install bash completion
install -d %{buildroot}%{_sysconfdir}/bash_completion.d
install -p -m 644 contrib/completion/bash/%project-%{repo}* %{buildroot}%{_sysconfdir}/bash_completion.d/

%files
%doc CHANGELOG.md CONTRIBUTING.md LICENSE MAINTAINERS README.md 
%{_bindir}/%project-%repo
%{_sysconfdir}/bash_completion.d/*


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 0.16.2-3.mga8
+ Revision: 1530701
- Mageia 8 Mass Rebuild

* Wed Sep 04 2019 bcornec <bcornec> 0.16.2-2.mga8
+ Revision: 1437241
- update to upstrea docker-machine 0.16.2

* Tue Oct 09 2018 bcornec <bcornec> 0.15.0-2.mga7
+ Revision: 1319140
- Update docker-machine to upstream 0.15.0

* Sun Sep 23 2018 umeabot <umeabot> 0.11.0-2.mga7
+ Revision: 1297481
- Mageia 7 Mass Rebuild

* Thu May 11 2017 bcornec <bcornec> 0.11.0-1.mga6
+ Revision: 1100155
- Update to upstream 0.11.0 docker-machine

* Thu Nov 24 2016 bcornec <bcornec> 0.8.2-1.mga6
+ Revision: 1069585
- update to upstreamdocker-machine 0.8.2

* Mon May 23 2016 bcornec <bcornec> 0.7.0-1.mga6
+ Revision: 1018044
- No debug pakgs for go
- review arch list
- adds sha1
- New docker-machine package for cauldron
- Created package structure for docker-machine.

